package com.test;
import java.applet.Applet;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.CookieHandler;
import java.net.MalformedURLException;
import java.net.URISyntaxException;
import java.net.URL;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


public class TestApplet extends Applet {

	@Override
	public void init() {
		super.init();
		for (int i = 0; i < 10; i++) {
			sendRequestAndPrintCookie();
			try {
				Thread.sleep(2000);
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
		}

	}


	private void sendRequestAndPrintCookie() {
		 try {
		        // Create a URL for the desired page
		        URL url = new URL("http://YOUR_SERVER/xampp/test/timestamp.php");

		        // Read all the text returned by the server
		        BufferedReader in = new BufferedReader(new InputStreamReader(url.openStream()));
		        String str;
		        while ((str = in.readLine()) != null) {
		        	System.out.println("content: " + str);
		        }
		        in.close();
		        // print all cookies
		        URL docBaseUrl = ((Applet)this).getDocumentBase();
		        CookieHandler cookieHandler = CookieHandler.getDefault();
		        Map<String, List<String>> headers = cookieHandler.get(docBaseUrl.toURI(), new HashMap<String,List<String>>());
		        if (headers.isEmpty()) {
		        	System.out.println("No cookies found!");
		        } else {
		        	printCookieHeaders(headers);
		        }

		    } catch (MalformedURLException e) {
		    	e.printStackTrace();
		    } catch (IOException e) {
		    	e.printStackTrace();
		    } catch (URISyntaxException e) {
		    	e.printStackTrace();
			}

	}

	private void printCookieHeaders(Map<String, List<String>> headers) {
		for (String key : headers.keySet()) {
        	List<String> values = headers.get(key);
        	for (String value : headers.get(key)) {
        		System.out.println("cookie: " + key + "=" + value);
        	}
        }
	}

}
